Package org.gitana.platform.client.api

# Class AuthenticationGrantImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.platform.AbstractPlatformDocumentImpl
org.gitana.platform.client.api.AuthenticationGrantImpl

All Implemented Interfaces:
  `Serializable`, `AuthenticationGrant`, `Document`, `PlatformDocument`, `Copyable`, `Referenceable`, `TitleDescription`, `Transferable`, `TypedID`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class AuthenticationGrantImpl extends AbstractPlatformDocumentImpl implements AuthenticationGrant

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.api.AuthenticationGrant

`FIELD_CLIENT_ID, FIELD_ENABLED, FIELD_KEY, FIELD_PRINCIPAL_DOMAIN_ID, FIELD_PRINCIPAL_ID, FIELD_SECRET`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationGrantImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object object)`
`String`
`getClientId()`
`boolean`
`getEnabled()`
`String`
`getKey()`
`String`
`getPrincipalDomainId()`
`String`
`getPrincipalId()`
`protected String`
`getResourceUri()`
`String`
`getSecret()`
`String`
`getTypeId()`
`void`
`setClientId(String clientId)`
`void`
`setEnable(boolean enabled)`
`void`
`setKey(String key)`
`void`
`setPrincipalDomainId(String principalDomainId)`
`void`
`setPrincipalId(String principalId)`
`void`
`setSecret(String secret)`

### Methods inherited from class org.gitana.platform.client.platform.AbstractPlatformDocumentImpl

`copy, copy, copyAsync, copyAsync, exportArchive, exportArchive, exportArchive, getCluster, getDriver, getFactory, getPlatform, getPlatformId, getRemote, importArchive, importArchive, importArchive, ref`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getId, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

## Constructor Details

### AuthenticationGrantImpl

public AuthenticationGrantImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### getResourceUri

protected String getResourceUri()

Specified by:
  `getResourceUri` in class `AbstractPlatformDocumentImpl`

### equals

public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

### getKey

public String getKey()

Specified by:
  `getKey` in interface `AuthenticationGrant`

### setKey

public void setKey(String key)

Specified by:
  `setKey` in interface `AuthenticationGrant`

### getSecret

public String getSecret()

Specified by:
  `getSecret` in interface `AuthenticationGrant`

### setSecret

public void setSecret(String secret)

Specified by:
  `setSecret` in interface `AuthenticationGrant`

### getPrincipalId

public String getPrincipalId()

Specified by:
  `getPrincipalId` in interface `AuthenticationGrant`

### setPrincipalId

public void setPrincipalId(String principalId)

Specified by:
  `setPrincipalId` in interface `AuthenticationGrant`

### getPrincipalDomainId

public String getPrincipalDomainId()

Specified by:
  `getPrincipalDomainId` in interface `AuthenticationGrant`

### setPrincipalDomainId

public void setPrincipalDomainId(String principalDomainId)

Specified by:
  `setPrincipalDomainId` in interface `AuthenticationGrant`

### getClientId

public String getClientId()

Specified by:
  `getClientId` in interface `AuthenticationGrant`

### setClientId

public void setClientId(String clientId)

Specified by:
  `setClientId` in interface `AuthenticationGrant`

### getEnabled

public boolean getEnabled()

Specified by:
  `getEnabled` in interface `AuthenticationGrant`

### setEnable

public void setEnable(boolean enabled)

Specified by:
  `setEnable` in interface `AuthenticationGrant`